#pragma once

#include "CoreMinimal.h"
#include "ExecuteActionOnEventBaseStrategy.h"
#include "GameplayTagContainer.h"
#include "ExecuteActionOnEventTargetHasStateTag.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UExecuteActionOnEventTargetHasStateTag : public UExecuteActionOnEventBaseStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _stateTag;

public:
	UExecuteActionOnEventTargetHasStateTag();
};

FORCEINLINE uint32 GetTypeHash(const UExecuteActionOnEventTargetHasStateTag) { return 0; }
